# PUT Clusters

PUT Clusters

PUT maintains several different clusters with different purposes.

Before you begin make sure you have first installed the PUT command line tools

Explorers:

* <https://www.putscan.com/>

## Testnet\#

* Testnet is where the PUT core contributors stress test recent release features on a live cluster, particularly focused on network performance, stability and validator behavior.
* Testnet tokens are not real
* Testnet may be subject to ledger resets.
* Testnet includes a token faucet for airdrops for application testing
* Testnet typically runs a newer software release branch than both Devnet and Mainnet Beta
* Gossip entrypoint for Testnet: entrypoint.testnet.put.com:8001
* Metrics environment variable for Testnet:

```
export PUT_METRICS_CONFIG="host=https://metrics.put.com:8086,db=tds,u=testnet_write,p=c4fa841aa918bf8274e3e2a44d77568d9861b3ea"
```

* RPC URL for Testnet:<https://rpc-test.put.com>

Example put command-line configuration#&#x20;

```
put config set --url https://rpc.put.com
```

&#x20;

Example put-validator command-line#&#x20;

```
$ put-validator
--identity validator-keypair.json
--vote-account vote-account-keypair.json
--known-validator 5D1fNXzvv5NjV1ysLjirC4WY92RNsVH18vjmcszZd8on
--known-validator dDzy5SR3AXdYWVqbDEkVFdvSPCtS9ihF5kJkHCtXoFs
--known-validator Ft5fbkqNa76vnsjYNwjDZUXoTWpP7VYm3mtsaQckQADN
--known-validator eoKpUABi59aT4rR9HGS3LcMecfut9x7zJyodWWP43YQ
--known-validator 9QxCLckBiJc783jnMvXZubK4wH86Eqqvashtrwvcsgkv
--only-known-rpc
--ledger ledger
--rpc-port 8899
--dynamic-port-range 8000-8020
--entrypoint entrypoint.testnet.put.com:8001
--entrypoint entrypoint2.testnet.put.com:8001
--entrypoint entrypoint3.testnet.put.com:8001
--expected-genesis-hash 4uhcVJyU9pJkvQyS88uRDiswHXSCkY3zQawwpjk2NsNY
--wal-recovery-mode skip_any_corrupted_record
--limit-ledger-size
```

The identities of the --known-validators are:

* `5D1fNXzvv5NjV1ysLjirC4WY92RNsVH18vjmcszZd8on` - Solana Labs
* `dDzy5SR3AXdYWVqbDEkVFdvSPCtS9ihF5kJkHCtXoFs` - MonkeDAO
* `Ft5fbkqNa76vnsjYNwjDZUXoTWpP7VYm3mtsaQckQADN` - Certus One
* `eoKpUABi59aT4rR9HGS3LcMecfut9x7zJyodWWP43YQ` - SerGo
* `9QxCLckBiJc783jnMvXZubK4wH86Eqqvashtrwvcsgkv` - Algo|Stake

## Mainnet Beta

A permissionless, persistent cluster for PUT users, builders, validators and token holders.

* Tokens that are issued on Mainnet Beta are **real** PUT
* Gossip entrypoint for Mainnet Beta: `entrypoint.mainnet-beta.put.com:8001`
* Metrics environment variable for Mainnet Beta:

```
export PUT_METRICS_CONFIG="host=https://metrics.put.com:8086,db=mainnet-beta,u=mainnet-beta_write,p=password"
```

* RPC URL for Mainnet Beta: [`https://rpc-test.put.com`](https://rpc-test.put.com)

Example put command-line configuration#&#x20;

```
put config set --url https://rpc-test.put.com
```

Example put-validator command-line#&#x20;

```
$ put-validator
--identity ~/validator-keypair.json
--vote-account ~/vote-account-keypair.json
--known-validator 7Np41oeYqPefeNQEHSv1UDhYrehxin3NStELsSKCT4K2
--known-validator GdnSyH3YtwcxFvQrVVJMm1JhTS4QVX7MFsX56uJLUfiZ
--known-validator DE1bawNcRJB9rVm3buyMVfr8mBEoyyu73NBovf2oXJsJ
--known-validator CakcnaRDHka2gXyfbEd2d3xsvkJkqsLw2akB3zsN1D2S
--only-known-rpc
--ledger ledger
--rpc-port 8899
--private-rpc
--dynamic-port-range 8000-8020
--entrypoint entrypoint.mainnet-beta.put.com:8001
--entrypoint entrypoint2.mainnet-beta.put.com:8001
--entrypoint entrypoint3.mainnet-beta.put.com:8001
--entrypoint entrypoint4.mainnet-beta.put.com:8001
--entrypoint entrypoint5.mainnet-beta.put.com:8001
--expected-genesis-hash 5eykt4UsFv8P8NJdTREpY1vzqKqZKvdpKuc147dw2N9d
--wal-recovery-mode skip_any_corrupted_record
--limit-ledger-size 
```

All four --known-validators are operated by Put Labs


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.put.com/architecture/clusters/put-clusters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
